/* -*- C++ -*-
 * src/test/time_measure_test.cc - Part of LEMON, a generic C++ optimization library
 *
 * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
 * (Egervary Combinatorial Optimization Research Group, EGRES).
 *
 * Permission to use, modify and distribute this software is granted
 * provided that this copyright notice appears in all copies. For
 * precise terms see the accompanying LICENSE file.
 *
 * This software is provided "AS IS" with no warranty of any kind,
 * express or implied, and with no claim as to its suitability for any
 * purpose.
 *
 */

#include <lemon/time_measure.h>

///\file \brief Test cases for time_measure.h
///
///\todo To be extended


using namespace lemon;

int main()
{
  Timer T;
  while(T.getRealTime()<1.0) ;
  std::cout << T << '\n';
  T.reset();
  while(T.getRealTime()<2.0) ;
  std::cout << T << '\n';
  
  return 0;
}
